> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/fr/knowledge-base/how-to-articles/create-a-devolutions-server-workspace-with-an-application-key.md).

# Créer un espace de travail Devolutions Server avec une clé d'application

Créez un espace de travail Devolutions Server à l'aide d'une clé d'application et d'un secret, soit par Remote Desktop Manager, soit par un script PowerShell.

Avec le module Devolutions.PowerShell, il est possible de se connecter à une instance Devolutions Server en utilisant une [***clé d'application et un secret d'application***](/server/fr/web-interface/administration/user-and-security-management/applications-identities.md). Vous pouvez créer un espace de travail Devolutions Server dans Remote Desktop Manager ou manuellement avec PowerShell. Suivez la méthode qui convient le mieux à vos besoins.

#### Méthode 1 : Remote Desktop Manager

1. Dans Remote Desktop Manager, allez dans ***Fichier – Espaces de travail***.
2. Cliquez sur le bouton ***Ajouter un nouvel espace de travail***.
3. Dans la fenêtre suivante, sélectionnez l'espace de travail d'équipe ***Devolutions Server***, puis cliquez sur ***OK***.
4. Dans l'onglet ***Général***, saisissez un ***Nom***, un ***Hôte*** et un ***Nom d'utilisateur*** pour votre nouvel espace de travail. Vous pouvez ensuite cliquer sur le bouton ***Tester la connexion*** pour confirmer que la connexion fonctionne.
5. Cliquez sur l'onglet ***PowerShell***.
6. Saisissez votre [***clé d'application et votre secret d'application***](/server/fr/web-interface/administration/user-and-security-management/applications-identities.md) dans le champ ***ID de locataire*** et le champ ***Mot de passe*** respectivement, puis cliquez sur ***OK***.

Votre nouvel espace de travail Devolutions Server est maintenant créé. Vous pouvez maintenant vous connecter à votre Devolutions Server et exécuter vos scripts.

#### Méthode 2 : PowerShell

1. À l'aide des applets de commande PowerShell, collez l'exemple de script suivant :

   ```powershell
   $dsname = "DVLS PowerShell"
   $dsurl = "https<area>://your_dvls_url"
   $appkey = "your_appkey"
   $appsecret = "your_appsecret"

   $ds = New-RDMDataSource -DVLS -Name $dsname -Server $dsurl -ScriptingTenantID $appkey -ScriptingApplicationPassword $appsecret -SetDatasource -WarningAction SilentlyContinue
   Set-RDMDataSource $ds
   Set-RDMCurrentDataSource $ds
   ```
2. Remplacez les valeurs des variables par les vôtres, puis exécutez le script.

Votre nouvel espace de travail Devolutions Server est maintenant créé. Vous pouvez maintenant vous connecter à votre Devolutions Server et exécuter vos scripts.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/server/fr/knowledge-base/how-to-articles/create-a-devolutions-server-workspace-with-an-application-key.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
